Update an additional identifier
patch
/crmRestApi/resources/11.13.18.05/households/{PartyNumber}/child/AdditionalIdentifier/{PartyIdentifierId}
Request
Path Parameters
-
PartyIdentifierId(required): integer(int64)
The unique identifier of the party.
-
PartyNumber(required): string
The unique primary identifier for the household party. The profile option HZ_GENERATE_PARTY_NUMBER controls whether the attribute value can be system generated or user-provided during create. Review and update the value for this attribute using the Setup and Maintenance work area, Manage Trading Community Common Profile Options task. Inactive records can't be updated.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
Country: string
Title:
Issuing CountryMaximum Length:2The country code of the additional identifier. Review the list of country codes using the Manage Geographies task. -
CreatedByModule: string
Default Value:
HZ_WSThe application module that created this organization record. Defaulted to value HZ_WS for all web service based creation. A list of valid certification level codes is defined in the lookup HZ_CREATED_BY_MODULES. You can review and update the codes using the Setup and Maintenance task, Manage Trading Community Common Lookups. -
Description: string
Title:
DescriptionMaximum Length:240The description of the additional identifier. -
ExpirationDate: string
(date)
Title:
Expiration DateThe date when the additional identifier will expire. -
IssueDate: string
(date)
Title:
Issue DateThe date when the additional identifier was issued. -
IssuingAuthorityName: string
Title:
Issuing Authority NameMaximum Length:500The name of the issuing authority of the additional identifier. -
IssuingAuthorityPartyId: integer
(int64)
The unique identifier of the issuing authority party.
-
PartyId: integer
(int64)
The unique identifier of the party.
-
PartyIdentifierType: string
Title:
Identifier TypeMaximum Length:30The type of the party identifier. -
PartyIdentifierValue: string
Title:
Identifier ValueMaximum Length:60The value of the party identifier. -
PartyNumber: string
The party number of the additional identifier. Inactive records can't be updated.
-
PartySourceSystem: string
The name of external source system of the account, contact or household with which the address is associated. Part of alternate key for the account, contact or household record (along with PartyourceSystemReferenceValue). One of PartyId, PartyNumber or PartySourceSystem and PartySourceSystemReferenceValue keys is required to identify the account, contact or household record with which the address is associated. The value for this attribute should be predefined in the lookup type HZ_ORIG_SYSTEMS_VL using the setup task Manage Trading Community Source Systems.
-
PartySourceSystemReferenceValue: string
The identifier for the record from an external source system.
-
smartActions: array
Smart Actions
Title:
Smart ActionsThis VO stores the endpoint and security details for every user action. -
SourceSystem: string
The name of external source system, which is defined by an admin as part of system setup. It is part of alternate key (along with SourceSystemReference), and is mandatory if PK or partyNumberBusinessKey is not passed in update.
-
SourceSystemReferenceValue: string
The unique identifier of the relationship from external source system.
-
StateProvince: string
Title:
Issuing StateMaximum Length:60Used for certain types of identifiers such as Passports or Driving licenses based on geography setup. -
StatusCode: string
Maximum Length:
1Default Value:AThe status code of the additional identifier.
Nested Schema : Smart Actions
Type:
arrayTitle:
Smart ActionsThis VO stores the endpoint and security details for every user action.
Show Source
Nested Schema : households-AdditionalIdentifier-smartActions-item-patch-request
Type:
Show Source
object-
ActionIntent: string
(byte)
Title:
Action IntentJSON object that describes what an action does and what context data can be passed to the action. -
ConfirmationMessage: string
Title:
Confirmation MessageMaximum Length:4000A message to seek confirmation for the action being performed. -
ContentType: string
Title:
Content TypeMaximum Length:50The content type to use when invoking the REST endpoint. -
DisplayLabel: string
Title:
Action NameMaximum Length:256Consumer-friendly action name. -
Entity: string
Title:
Parent EntityMaximum Length:150REST Resources the action belongs to. -
Href: string
Title:
REST EndpointMaximum Length:1024The REST endpoint to perform the action. -
IncludedInApplication: string
Title:
Included in ApplicationMaximum Length:512List of applications that this action can be used in. -
MassActionFlag: boolean
Title:
Mass ActionMaximum Length:1Boolean type indicating if this action can be mass processed. -
Method: string
Title:
HTTP MethodMaximum Length:15HTTP method to use with HREF. -
ObjectFunctionName: string
Title:
Object FunctionMaximum Length:64The object function associated with the smart action. -
PageType: string
Title:
Page TypeMaximum Length:256The list of pages that this action can be used in. -
SmartSuggestFlag: boolean
Title:
Smart SuggestMaximum Length:1Indicates if smart suggest is enabled for the action. -
SystemActionFlag: boolean
Title:
System ActionMaximum Length:1Boolean type indicating if the action is seeded or custom. -
UpdateOfAttributes: string
Title:
Attributes to UpdateMaximum Length:512Attributes to be updated when the Actions UI is launched. - UserActionNavigation: array Smart Action User Interface Definitions
-
UserActionRank: integer
(int64)
Title:
PriorityNumber to indicate priority of the action. -
UserActionRequestPayload: array
Smart Action REST Payload Definitions
Title:
Smart Action REST Payload DefinitionsIf an LOV required for constructing a request payload needs to post data, the payload metadata is stored here. -
UserActionURLBinding: array
Smart Action User Interface Definitions
Title:
Smart Action User Interface DefinitionsBinding metadata for a variable in the URL.
Nested Schema : Smart Action REST Payload Definitions
Type:
arrayTitle:
Smart Action REST Payload DefinitionsIf an LOV required for constructing a request payload needs to post data, the payload metadata is stored here.
Show Source
Nested Schema : Smart Action User Interface Definitions
Type:
arrayTitle:
Smart Action User Interface DefinitionsBinding metadata for a variable in the URL.
Show Source
Nested Schema : households-AdditionalIdentifier-smartActions-UserActionRequestPayload-item-patch-request
Type:
Show Source
object-
Binding: string
Title:
Payload Value Binding TypeMaximum Length:64Indicates the binding type of the value. -
MandatoryFlag: boolean
Title:
MandatoryMaximum Length:1Boolean value indicating if the payload is mandatory. -
RequestPayloadName: string
Title:
Request Payload Attribute NameMaximum Length:256The key in the Key Value pair that forms the payload. -
SmartSuggestPath: string
Title:
Smart Suggest PathMaximum Length:2048The path used for smart suggest. -
SystemActionFlag: boolean
Title:
System ActionMaximum Length:1Default Value:falseBoolean value. -
Value: string
Title:
Request Payload Attribute ValueMaximum Length:1000The value in the Key Value pair that forms the payload. -
ValueStruct: string
Title:
Payload Value StructureMaximum Length:20If the value in the Key Value pair isn't a single value, this would be set.
Nested Schema : households-AdditionalIdentifier-smartActions-UserActionURLBinding-item-patch-request
Type:
Show Source
object-
Binding: string
Title:
URL Binding TypeMaximum Length:64This is a hint for processing the Url Binding runtime. -
SystemActionFlag: boolean
Title:
System ActionMaximum Length:1Default Value:falseBoolean indicator. -
URLBindingName: string
Title:
URL Binding Parameter NameMaximum Length:256For action REST endpoints that require runtime binding, this is the key in the key value pair. -
Value: string
Title:
URL Binding Parameter ValueMaximum Length:1000For action REST endpoints that require runtime binding, this is the value in the key value pair.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : households-AdditionalIdentifier-item-response
Type:
Show Source
object-
Country: string
Title:
Issuing CountryMaximum Length:2The country code of the additional identifier. Review the list of country codes using the Manage Geographies task. -
CreatedBy: string
Read Only:
trueMaximum Length:64The user who created the additional identifier. -
CreatedByModule: string
Default Value:
HZ_WSThe application module that created this organization record. Defaulted to value HZ_WS for all web service based creation. A list of valid certification level codes is defined in the lookup HZ_CREATED_BY_MODULES. You can review and update the codes using the Setup and Maintenance task, Manage Trading Community Common Lookups. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the additional identifier was created. -
Description: string
Title:
DescriptionMaximum Length:240The description of the additional identifier. -
ExpirationDate: string
(date)
Title:
Expiration DateThe date when the additional identifier will expire. -
IssueDate: string
(date)
Title:
Issue DateThe date when the additional identifier was issued. -
IssuingAuthorityName: string
Title:
Issuing Authority NameMaximum Length:500The name of the issuing authority of the additional identifier. -
IssuingAuthorityPartyId: integer
(int64)
The unique identifier of the issuing authority party.
-
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the additional identifier was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64The user who last updated the additional identifier. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32The login of the user who last updated the additional identifier. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Read Only:
trueThe number used to implement locking. This number is incremented every time that the row is updated. The number is compared at the start and end of a transaction to determine whether another session has updated the row. -
PartyId: integer
(int64)
The unique identifier of the party.
-
PartyIdentifierId: integer
(int64)
Read Only:
trueThe unique identifier of the party. -
PartyIdentifierType: string
Title:
Identifier TypeMaximum Length:30The type of the party identifier. -
PartyIdentifierValue: string
Title:
Identifier ValueMaximum Length:60The value of the party identifier. -
PartyNumber: string
The party number of the additional identifier. Inactive records can't be updated.
-
PartySourceSystem: string
The name of external source system of the account, contact or household with which the address is associated. Part of alternate key for the account, contact or household record (along with PartyourceSystemReferenceValue). One of PartyId, PartyNumber or PartySourceSystem and PartySourceSystemReferenceValue keys is required to identify the account, contact or household record with which the address is associated. The value for this attribute should be predefined in the lookup type HZ_ORIG_SYSTEMS_VL using the setup task Manage Trading Community Source Systems.
-
PartySourceSystemReferenceValue: string
The identifier for the record from an external source system.
-
smartActions: array
Smart Actions
Title:
Smart ActionsThis VO stores the endpoint and security details for every user action. -
SourceSystem: string
The name of external source system, which is defined by an admin as part of system setup. It is part of alternate key (along with SourceSystemReference), and is mandatory if PK or partyNumberBusinessKey is not passed in update.
-
SourceSystemReferenceValue: string
The unique identifier of the relationship from external source system.
-
StateProvince: string
Title:
Issuing StateMaximum Length:60Used for certain types of identifiers such as Passports or Driving licenses based on geography setup. -
StatusCode: string
Maximum Length:
1Default Value:AThe status code of the additional identifier.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Smart Actions
Type:
arrayTitle:
Smart ActionsThis VO stores the endpoint and security details for every user action.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : households-AdditionalIdentifier-smartActions-item-response
Type:
Show Source
object-
ActionIntent: string
(byte)
Title:
Action IntentJSON object that describes what an action does and what context data can be passed to the action. -
ConfirmationMessage: string
Title:
Confirmation MessageMaximum Length:4000A message to seek confirmation for the action being performed. -
ContentType: string
Title:
Content TypeMaximum Length:50The content type to use when invoking the REST endpoint. -
DisplayLabel: string
Title:
Action NameMaximum Length:256Consumer-friendly action name. -
Entity: string
Title:
Parent EntityMaximum Length:150REST Resources the action belongs to. -
Href: string
Title:
REST EndpointMaximum Length:1024The REST endpoint to perform the action. -
IncludedInApplication: string
Title:
Included in ApplicationMaximum Length:512List of applications that this action can be used in. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MassActionFlag: boolean
Title:
Mass ActionMaximum Length:1Boolean type indicating if this action can be mass processed. -
Method: string
Title:
HTTP MethodMaximum Length:15HTTP method to use with HREF. -
ObjectFunctionName: string
Title:
Object FunctionMaximum Length:64The object function associated with the smart action. -
PageType: string
Title:
Page TypeMaximum Length:256The list of pages that this action can be used in. -
SmartSuggestFlag: boolean
Title:
Smart SuggestMaximum Length:1Indicates if smart suggest is enabled for the action. -
SystemActionFlag: boolean
Title:
System ActionMaximum Length:1Boolean type indicating if the action is seeded or custom. -
UpdateOfAttributes: string
Title:
Attributes to UpdateMaximum Length:512Attributes to be updated when the Actions UI is launched. -
UserActionId: integer
(int64)
Title:
User Action IDUniquely identifies the action. For internal use. -
UserActionName: string
Title:
Action NameMaximum Length:256Uniquely identifies the action with a name. For internal use. - UserActionNavigation: array Smart Action User Interface Definitions
-
UserActionRank: integer
(int64)
Title:
PriorityNumber to indicate priority of the action. -
UserActionRequestPayload: array
Smart Action REST Payload Definitions
Title:
Smart Action REST Payload DefinitionsIf an LOV required for constructing a request payload needs to post data, the payload metadata is stored here. -
UserActionURLBinding: array
Smart Action User Interface Definitions
Title:
Smart Action User Interface DefinitionsBinding metadata for a variable in the URL.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Smart Action REST Payload Definitions
Type:
arrayTitle:
Smart Action REST Payload DefinitionsIf an LOV required for constructing a request payload needs to post data, the payload metadata is stored here.
Show Source
Nested Schema : Smart Action User Interface Definitions
Type:
arrayTitle:
Smart Action User Interface DefinitionsBinding metadata for a variable in the URL.
Show Source
Nested Schema : households-AdditionalIdentifier-smartActions-UserActionRequestPayload-item-response
Type:
Show Source
object-
Binding: string
Title:
Payload Value Binding TypeMaximum Length:64Indicates the binding type of the value. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MandatoryFlag: boolean
Title:
MandatoryMaximum Length:1Boolean value indicating if the payload is mandatory. -
RequestPayloadId: integer
(int64)
Uniquely identifies the payload for smart actions. For internal use.
-
RequestPayloadName: string
Title:
Request Payload Attribute NameMaximum Length:256The key in the Key Value pair that forms the payload. -
SmartSuggestPath: string
Title:
Smart Suggest PathMaximum Length:2048The path used for smart suggest. -
SystemActionFlag: boolean
Title:
System ActionMaximum Length:1Default Value:falseBoolean value. -
Value: string
Title:
Request Payload Attribute ValueMaximum Length:1000The value in the Key Value pair that forms the payload. -
ValueStruct: string
Title:
Payload Value StructureMaximum Length:20If the value in the Key Value pair isn't a single value, this would be set.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : households-AdditionalIdentifier-smartActions-UserActionURLBinding-item-response
Type:
Show Source
object-
Binding: string
Title:
URL Binding TypeMaximum Length:64This is a hint for processing the Url Binding runtime. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SystemActionFlag: boolean
Title:
System ActionMaximum Length:1Default Value:falseBoolean indicator. -
URLBindingId: integer
(int64)
Uniquely identifies the URL Bind for smart actions. For internal use.
-
URLBindingName: string
Title:
URL Binding Parameter NameMaximum Length:256For action REST endpoints that require runtime binding, this is the key in the key value pair. -
Value: string
Title:
URL Binding Parameter ValueMaximum Length:1000For action REST endpoints that require runtime binding, this is the value in the key value pair.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- Countries
-
Parameters:
- finder:
ObsoleteEnabledFlagFinder%3BBindObsoleteFlag%3DN%2CBindEnabledFlag%3DY
The following properties are defined on the LOV link relation:- Source Attribute: Country; Target Attribute: TerritoryCode
- Display Attribute: TerritoryShortName
- finder:
- PartyIdentifierTypes
-
Parameters:
- finder:
PartyIdentifierFinder%3BBindTypeOfParty%3D{PartyType}
The following properties are defined on the LOV link relation:- Source Attribute: PartyIdentifierType; Target Attribute: TypeCode
- Display Attribute: TypeName
- finder:
- smartActions
-
Parameters:
- PartyIdentifierId:
$request.path.PartyIdentifierId - PartyNumber:
$request.path.PartyNumber
This VO stores the endpoint and security details for every user action. - PartyIdentifierId: